# Bow and Arrows [x_bows]

Adds more bows/guns and arrows to Minetest using X Bows API.

![screenshot](screenshot.png)

## Features

### Guns/Bows

#### Bow training

 Training arrow with NO (or little) damage. Compatible with all arrows from this MOD.

#### Bubble gun

Shoots bubbles. No damage.

#### Bazooka

Very strong and dangerous weapon. Needs TNT mod for explosions.

### Arrows

#### Bazooka bullet

Ammo for bazooka.

#### Bubble gun bubble

Ammo for bubble gun.

#### Arrow training

No damage arrow - just for training.

#### Arrow rip

Bury player or entities under ground.

#### Arrow flyup

Fly players to the air and let them drop.

#### Arrow cluster

Shoots cluster arrow.

#### Arrow torch

Places torch.

#### Arrow teleport

Teleport player to location where the arrow hit the ground. If player or entity is hit they will switch places.

#### Arrow knockback

Pushes players/entities with high power away.

#### Arrow healing

Damage points to players/entities will be added as hearts to you.

#### Arrow poison

Dealing damage for 5s but will not kill the target.

#### Arrow lightning

Strikes lightning damaging sourrounded objects/players, setting the striked area on fire (non-spreading).

## Dependencies

- x_bows

## Optional Dependencies

- tnt (bazooka bullets explosion)
- hbhunger (poison arrow hud change)

## License:

### Code

GNU Lesser General Public License v2.1 or later (see included LICENSE file)

### Textures

**LGPL-2.1-or-later, by SaKeL**

- x_bows_extras_bubble_gun.png
- x_bows_extras_bubble_gun_charged.png
- x_bows_extras_bazooka_bullet_tile_point_bottom.png
- x_bows_extras_bazooka_bullet_tile_point_left.png
- x_bows_extras_bazooka_bullet_tile_point_right.png
- x_bows_extras_bazooka_bullet_tile_point_top.png
- x_bows_extras_bazooka_bullet_tile_tail.png
- x_bows_extras_bazooka_bullet.png
- x_bows_extras_bazooka_charged.png
- x_bows_extras_bazooka.png

**CC-BY-SA-4.0, Pixel Perfection by XSSheep**, https://minecraft.curseforge.com/projects/pixel-perfection-freshly-updated

Modified by SaKeL:

- x_bows_extras_bow_training.png
- x_bows_extras_bow_training_charged.png
- x_bows_extras_arrow_training.png
- x_bows_extras_bubble_gun_bubble.png
- x_bows_extras_arrow_cluster.png
- x_bows_extras_arrow_flyup.png
- x_bows_extras_arrow_healing.png
- x_bows_extras_arrow_knockback.png
- x_bows_extras_arrow_rip.png
- x_bows_extras_arrow_teleport.png
- x_bows_extras_arrow_torch.png
- x_bows_arrow_diamond_poison.png
- x_bows_arrow_tipped_particle.png
- x_bows_extras_arrow_lightning.png

**CC-BY-SA-4.0, by sofar**

- x_bows_extras_lightning_1.png
- x_bows_extras_lightning_2.png
- x_bows_extras_lightning_3.png

**CC-BY-SA-3.0, by Muadtralk**

- x_bows_extras_basic_flame_animated.png
- x_bows_extras_basic_flame.png

### Sounds

**Creative Commons License, Ranner**, https://freesound.org

- x_bows_extras_bubble_gun_pop.1.ogg

**Creative Commons License, deleted_user_3854053**, https://freesound.org

- x_bows_extras_bubble_gun_pop.2.ogg

**Creative Commons License, kwahmah_02**, https://freesound.org

- x_bows_extras_bubble_gun_shot.1.ogg
- x_bows_extras_bubble_gun_shot.2.ogg
- x_bows_extras_bubble_gun_shot.3.ogg

**Creative Commons License, craigsmith**, https://freesound.org

- x_bows_extras_bazooka_shot.1.ogg
- x_bows_extras_bazooka_shot.2.ogg
- x_bows_extras_bazooka_shot.3.ogg

**Creative Commons License, EFlexMusic**, https://freesound.org

- x_bows_extras_bazooka_load.1.ogg

**CC0-1.0, fractanimal**, https://freesound.org

- x_bows_extras_lightning.1.ogg
- x_bows_extras_lightning.2.ogg

## Installation

see: https://wiki.minetest.net/Installing_Mods
